+ Post New Thread
Page 358 of 494 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 12330

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 29,284
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 45,350
    18th Sep 2006 10:46 pm Go to last post
  1. Draw Order for "inbetween"

    Hi, I've had an unsuccesful search for what I'm looking for. Has anybody come across a macro or lisp file that will allow a user to place for example a hatch over one object and below another...

    Started by feargt‎, 20th Apr 2009 02:00 pm
    • Replies: 6
    • Views: 1,776
    23rd Apr 2009 04:20 pm Go to last post
  2. Changing the font File

    We like everyone to use the same font style, so we created the program below. However, there are a few cases MText especially, where the style and font might be in out of sink and so the font does...

    Started by Olhado_‎, 23rd Apr 2009 03:29 pm
    • Replies: 0
    • Views: 742
    23rd Apr 2009 03:29 pm Go to last post
  3. how to copy a subentity of a block?

    Dear Sirs. I would like to ask a queation, how to copy the subentity of a block without exploading the block? Thanks very much.

    Started by taner‎, 22nd Apr 2009 12:22 pm
    • Replies: 8
    • Views: 1,231
    23rd Apr 2009 07:57 am Go to last post
  4. How to get serial number of hard drive by lisp?

    Hi everybody ! I want to get "serial number" of my hard drive by lisp. But I can't. Help me !!!

    Started by nataca‎, 23rd Apr 2009 05:23 am
    • Replies: 3
    • Views: 3,684
    23rd Apr 2009 07:49 am Go to last post
  5. List Bearing Distances-with extra setting

    Hi all guru ,can any one help to modify this lisp to add in extra function as below: 1.Onces we load the lisp the Unit setting will be -Type: Decimal -Precision:3 -Angle type Deg/Min/Sec...

    Started by jason tay‎, 7th Mar 2008 07:45 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 5,824
    22nd Apr 2009 11:36 pm Go to last post
  6. viewport/change space

    At my last job they had a command or a lisp that took the exact shape of your view port and moved that same shape to the model space. This way you knew your drawing limits, so you got everything to...

    Started by CadTechJGC184‎, 22nd Apr 2009 07:28 pm
    • Replies: 8
    • Views: 1,663
    22nd Apr 2009 11:00 pm Go to last post
  7. Question Change atom in list directly ?

    I have list of 1.000.000 elements. Now i have to check each item by each other item: that is 1mio*1mio/2 iterations. Each time it checks if lets say item i is same as item j. If it is it should...

    Started by chavlji‎, 21st Apr 2009 10:12 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 2,170
    22nd Apr 2009 10:27 pm Go to last post
  8. array and layers

    i work with Autocad 2004 with a lisp routin or a vba macro how we can do an array (for example 5 raws 5 columns) but the pair columns ( columns 2and 4) on a layer and impair columns ( columns 1,...

    Started by akram85ing‎, 22nd Apr 2009 09:12 pm
    • Replies: 1
    • Views: 679
    22nd Apr 2009 09:45 pm Go to last post
  9. Delete Block Sub Entities

    Here is one that I had to write today and thought I'd share. I needed to remove all solids, color red, thickness 0.25 on layer "3D-CART-TOP" in all blocks in several drawings. ;| DELETE BLOCK...

    Started by David Bethel‎, 22nd Apr 2009 09:19 pm
    • Replies: 0
    • Views: 1,315
    22nd Apr 2009 09:19 pm Go to last post
  10. room size

    create a room size meter & feet

    Started by sachindkini‎, 22nd Apr 2009 07:34 pm
    • Replies: 0
    • Views: 1,010
    22nd Apr 2009 07:34 pm Go to last post
  11. Selection Sets for AECObjects

    I use selection sets to get all of objects like dimensions, circles, images, inserts... How does one get a selection set of all AECObjects in a drawing? Objects like windows walls doors that are...

    Started by MiGo‎, 20th Apr 2009 08:05 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 2,095
    22nd Apr 2009 07:10 pm Go to last post
  12. VB.Net question - active viewport in a layout

    Hello All, couple questions. 1) Am I posting to the correct forum? Is there a .Net forum here? If so, please feel free to point me there. 2) I want to make a specific viewport in a specific layout...

    Started by Tipo166‎, 21st Apr 2009 06:16 pm
    • Replies: 1
    • Views: 2,781
    22nd Apr 2009 03:56 pm Go to last post
  13. Extract text from file and paste to clipboard

    Does Lisp have any kind of command that will let me paste a text variable to the clipboard? For instance, If I open up the following: (setq R1POS (open "C:\\Demo\\Stored Text\\POS.txt" "r"))...

    Started by ajs‎, 22nd Apr 2009 05:26 am
    • Replies: 2
    • Views: 1,687
    22nd Apr 2009 03:23 pm Go to last post
  14. Entmake Hatch

    I am trying to entmake a block definition which includes some solid hatching, in reference to this thread: http://www.cadtutor.net/forum/showthread.php?t=35213 However, I am lost as to what...

    Started by Lee Mac‎, 21st Apr 2009 04:00 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 38
    • Views: 5,720
    21st Apr 2009 09:06 pm Go to last post
  15. Too many Arguments

    Let me start off by stating that I am no LSP expert, not even a newbie. I was hoping to find an explanation as to why the lsp code pasted in below has ceased to function. Its original function,...

    Started by Enigma‎, 20th Apr 2009 11:43 pm
    • Replies: 5
    • Views: 1,500
    21st Apr 2009 07:27 pm Go to last post
  16. Question Anyone know where the acad dimstyle lisp is????

    Hey we are going to copy the acad dimstyle lisp and modify it but not replace it does anyone know where it is? or is it a vlx file?

    Started by BLOACH85‎, 21st Apr 2009 05:21 pm
    • Replies: 1
    • Views: 788
    21st Apr 2009 05:55 pm Go to last post
  17. Bad Function error from command line

    I've been trying to learn more on the syntax of LISP and as I study it I find it daunting...lots of things to remember and those damn parenthesis are a real pain. But I find that when I'm puzzled...

    Started by Bill Tillman‎, 21st Apr 2009 03:21 pm
    • Replies: 2
    • Views: 4,348
    21st Apr 2009 03:55 pm Go to last post
  18. Change All Attribute Values In Drawing

    I HAVE 50 ATTRIBUTE BLOCK ITS NAME W1 HOW CAN I CHANGE ALL ATTRIBUTE VALUES (TAG,PROMPT,DEFAULT)FOR ALL IN DRAWING ONCE .

    Started by MR MAN‎, 15th Apr 2009 10:32 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 2,453
    21st Apr 2009 01:55 pm Go to last post
  19. Item Balloon - Leader

    Hello everyone, first time poster. I'm not a drafter but I do know how to use AutoCAD fairly well. We have AutoCAD 2004 here. I'm trying to come up with a LISP routine for an item balloon with...

    Started by klew31‎, 14th Apr 2009 06:14 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 3,443
    21st Apr 2009 01:43 pm Go to last post
  20. Question LISP and Object Type 'Solid'

    Hi, I work with both Tekla Structures and AutoCAD2008. When exporting drawings from TS to AutoCAD the Solid hatch is generated as Object type 'Solid'. I have used Qselect to find all solid objects...

    Started by Haggbakk‎, 16th Apr 2009 04:24 pm
    • Replies: 6
    • Views: 1,234
    21st Apr 2009 11:49 am Go to last post
  21. VB.net getclosestpoint problem

    im using the following code to get the closest point on a curve along a given vector EndPt1 = Curve1.GetClosestPointTo(StartPt1, vector1perp, False) But it is not getting the closest...

    Started by russell84‎, 9th Apr 2009 05:53 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 3,293
    21st Apr 2009 10:44 am Go to last post
  22. Selection Set Question

    Sorry for all these threads, but I am just trying to fill in the gaps in my knowledge, and clear up a few things that have been "bugging" me. I have looked at trying to work with Selection Sets in...

    Started by Lee Mac‎, 20th Apr 2009 06:53 pm
    • Replies: 8
    • Views: 1,142
    20th Apr 2009 09:37 pm Go to last post
  23. vlax-curve-isClosed not Working

    Hi Guys, I have tried using the curve command: vlax-curve-isClosed but, when I select a curve that I have drawn (say an LWPOLYLINE), even if the ends are oSnapped when drawing, it will...

    Started by Lee Mac‎, 20th Apr 2009 06:30 pm
    • Replies: 4
    • Views: 1,134
    20th Apr 2009 09:11 pm Go to last post
  24. Arc-Aligned Text Attribute

    Hello, I'm wondering if anyone could write a lisp to create an arc-aligned single-line text attribute. I know almost nothing about LISP, and would really appreciate the hand. Thanks, Ben

    Started by BenE‎, 20th Apr 2009 07:02 pm
    • Replies: 3
    • Views: 2,366
    20th Apr 2009 08:08 pm Go to last post
  25. run lisp on file

    Hi everyone, I'm intersted in runing a lisp on a file that is closed, is this possible . can i also run a lisp on 2 drawings at a time ? :lol: seems scrpit file is best used in this situation

    Started by JONTHEPOPE‎, 19th Apr 2009 04:22 pm
    • Replies: 7
    • Views: 1,738
    20th Apr 2009 07:39 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts